﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.ServiceModel.Syndication;
using System.Collections.Generic;
using System.Xml;


public partial class RssGenerator : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        SyndicationFeed feed = new SyndicationFeed();
        feed.Title = new TextSyndicationContent("DotNetBips.com RSS Feed");
        feed.Copyright = new TextSyndicationContent("Copyright (C) 2008. All rights reserved.");
        feed.Description = new TextSyndicationContent("Rss Feed Generated Via .NET 3.5 Syndication Classes");
        feed.Generator = "DotNetBips.com RSS Feed Generator";

        SyndicationLink link = new SyndicationLink();
        link.Title = "DotNetBips.com";
        link.Uri = new Uri("http://www.dotnetbips.com");
        feed.Links.Add(link);

        SyndicationItem item = new SyndicationItem();
        item.Id = Guid.NewGuid().ToString();
        item.Title = new TextSyndicationContent("Sample feed item");
        item.Summary = new TextSyndicationContent("Sample summary");
        item.Content = new TextSyndicationContent("This is sample content");

        SyndicationLink itemlink = new SyndicationLink();
        itemlink.Title = "DotNetBips.com";
        itemlink.Uri = new Uri("http://www.dotnetbips.com/" + item.Id.ToString() + ".aspx");
        item.Links.Add(itemlink);

        SyndicationPerson person = new SyndicationPerson();
        person.Name = "Tom & Jerry";
        person.Email = "tomnjerry@somedomain.com";

        item.Authors.Add(person);

        List<SyndicationItem> items = new List<SyndicationItem>();
        items.Add(item);
        feed.Items = items;

        Response.Clear();
        Response.ContentEncoding = System.Text.Encoding.UTF8;
        Response.ContentType = "text/xml";

        XmlWriter rssWriter = XmlWriter.Create(Response.Output);
        Rss20FeedFormatter rssFormatter = new Rss20FeedFormatter(feed);
        rssFormatter.WriteTo(rssWriter);
        rssWriter.Flush();
        rssWriter.Close();

        
        Response.End();
    }
 
}
